import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        color?: string | undefined;
        size?: string | undefined;
        random?: boolean | undefined;
        direction?: string | undefined;
    };
    events: {
        change: Event;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type ColorPickerProps = typeof __propDef.props;
export type ColorPickerEvents = typeof __propDef.events;
export type ColorPickerSlots = typeof __propDef.slots;
/**
 * A stylized color picker that can be used to select a color and bind it to a variable.
 * ### Props:
 * - `color` {string} - The color to be displayed in the picker. Can be a hex value or a CSS color name.
 * - `size` {string} - The size of the picker (width & height) in px. Pass in number as string.
 * - `random` {boolean} = true - Whether or not to display the random color picker button.
 * - `direction` {string} = 'left' - The direction the picker should be displayed. 'left' or 'right'.
 */
export default class ColorPicker extends SvelteComponentTyped<ColorPickerProps, ColorPickerEvents, ColorPickerSlots> {
}
export {};
