interface RGB {
    r: number;
    g: number;
    b: number;
}
interface RGBA extends RGB {
    a?: number;
}
interface FormatRgbOptions extends RGBA {
    returnType?: ReturnType;
}
interface HexToRgbOptions {
    hex: string;
    a?: number;
    returnType?: ReturnType;
}
type ReturnType = 'array' | 'html' | 'obj';
export declare function rgbToHex({ r, g, b, a }: RGBA): string;
export declare function hexToRgb({ hex, a, returnType }: HexToRgbOptions): string | number[] | {
    r: number;
    g: number;
    b: number;
    a: number;
} | {
    r: number;
    g: number;
    b: number;
    a?: undefined;
} | undefined;
export declare function formatRGB({ r, g, b, a, returnType }: FormatRgbOptions): string | number[] | {
    r: number;
    g: number;
    b: number;
    a: number;
} | {
    r: number;
    g: number;
    b: number;
    a?: undefined;
} | undefined;
export declare function colorShift(color: string, amount: number): string | undefined;
export declare const getComplementaryColor: (hexColor: string) => string;
export declare const blackOrWhite: (hexColor: string) => "#000000" | "#ffffff" | undefined;
export declare const colourIsLight: ({ r, g, b }: RGB) => boolean;
export declare const randomColor: (returnType?: string) => string | number[] | {
    r: number;
    g: number;
    b: number;
    a: number;
} | {
    r: number;
    g: number;
    b: number;
    a?: undefined;
} | undefined;
export declare const randomHex: () => string;
export {};
